#!/bin/sh

# Copyright (c) 2022 NetEase, Inc. All rights reserved.
# Use of this source code is governed by a MIT license that can be
# found in the LICENSE file.

# Please run this script under `roomkit_platform_interface`
# directory to generate the pigeon code

flutter pub run pigeon \
  --input pigeons/message.dart \
  --dart_out lib/pigeon.dart \
  --dart_test_out test/pigeon.dart \
  --objc_header_out ../nertc_core/ios/Classes/Messages.h \
  --objc_source_out ../nertc_core/ios/Classes/Messages.m \
  --objc_prefix NEFLT \
  --java_out ../nertc_core/android/src/main/java/com/netease/nertcflutter/Messages.java \
  --java_package "com.netease.nertcflutter"
  